%{?drupal7_find_provides_and_requires}

%global theme  zen

Name:          drupal7-%{theme}
Version:       5.5
Release:       1%{?dist}
Summary:       Zen is a powerful, yet simple, HTML5 starting theme

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{theme}
Source0:       http://ftp.drupal.org/files/projects/%{theme}-7.x-%{version}.tar.gz
Source1:       %{name}-RPM-README.txt

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: drupal7-rpmbuild >= 7.23-3

# phpcompatinfo (computed from version 5.5)
Requires:      php-pcre

%description
Zen is a powerful, yet simple, HTML5 starting theme with a responsive,
mobile-first grid design.
If you are building your own standards-compliant theme,
you will find it much easier to start with Zen
than to start with Garland or Stark.
This theme has fantastic online documentation
and tons of helpful code comments in its PHP, HTML, CSS and Sass.


%prep
%setup -qn %{theme}
cp -p %{SOURCE1} .


%build
# Empty build section, nothing to build


%install
mkdir -pm 0755 %{buildroot}%{drupal7_themes}/%{theme}
cp -pr * %{buildroot}%{drupal7_themes}/%{theme}/


%files
%doc *.txt
%{drupal7_themes}/%{theme}
%exclude %{drupal7_themes}/%{theme}/*.txt


%changelog
* Sat May 31 2014 Peter Borsa <peter.borsa@gmail.com> 5.5-1
- Initial package
